Skip to main content
GET
/
custom_field_definitions
List custom field definitions
curl --request GET \
  --url https://api.terminal49.com/v2/custom_field_definitions \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "custom_field_definition",
      "attributes": {
        "entity_type": "Shipment",
        "api_slug": "<string>",
        "display_name": "<string>",
        "data_type": "short_text",
        "description": "<string>",
        "reference_type": "<string>",
        "validation": {},
        "default_format": "<string>",
        "default_value": "<string>"
      }
    }
  ],
  "links": {
    "last": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "first": "<string>",
    "self": "<string>"
  },
  "meta": {
    "size": 123,
    "total": 123
  }
}
List all custom field definitions available to your account.

Query filters

FilterDescription
filter[entity_type]Filter by entity type (Shipment or Cargo)
filter[data_type]Filter by data type
filter[display_name]Filter by display name (prefix match)

Authorizations

Authorization
string
header
required

Token YOUR_API_TOKEN

The APIs require authentication to be done using header-based API Key and Secret Authentication.

API key and secret are sent va the Authorization request header.

You send your API key and secret in the following way:

Authorization: Token YOUR_API_KEY

Query Parameters

page[number]
integer
default:1
page[size]
integer
default:25
filter[entity_type]
string

Filter by entity type (Shipment or Cargo)

filter[data_type]
string

Filter by data type

filter[display_name]
string

Filter by display name (prefix match)

Response

200 - application/json

OK

data
Custom field definition · object[]
meta
meta · object